yum update报systemd

yum update报systemd

第一次 dnf upgrade, systemd升级到最新版,装上了systemd-pam
第二次 dnf upgrade,dnf在遍历源的过程中发现旧版本systemd有obsolete systemd-pam, 报错。
这里面有几个问题:1.obsolete systemd-pam没有加版本号,包已出,暂无法解决
2.dnf upgrade在没有确认最新版本之前就开始解析,导致在upgrade流程解析了旧版本的obsolete.已反馈到dnf
可能的解决方案:
1.回退拆包,暂不会回退
2.第二次执行upgrade屏蔽旧版本源, 但是官方update源是新旧版本同时包含,无法屏蔽
3.dnf upgrade 增加–exclude参数,屏蔽掉systemd
建议使用方案3,第二次dnf upgrade systemd已经升级到最新版本,可以使用–exclude参数排除systemd来升级其他软件包

升级指导: 版本升降级指导/20.03SP2-20.03SP3.md · openEuler/QA - Gitee.com

5 Likes

经典好贴,必须赞一个

1 Like

:heart_eyes:

自己给自己一个肯定

厉害